ClassNameCompletor
Date: 2015-12-09

jline

## Class ClassNameCompletor

- java.lang.Object
- - jline.SimpleCompletor
  - - jline.ClassNameCompletor

- All Implemented Interfaces:
    java.lang.Cloneable, Completor

      public class ClassNameCompletor
      extends SimpleCompletor

  A Completor implementation that completes java class names. By default, it scans the java class path to locate all the classes.
  Author:
    Marc Prud'hommeaux

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class jline.SimpleCompletor

      `SimpleCompletor.NoOpFilter, SimpleCompletor.SimpleCompletorFilter`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClassNameCompletor()` Complete candidates using all the classes available in the java CLASSPATH.
    `ClassNameCompletor(SimpleCompletor.SimpleCompletorFilter filter)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.lang.String[]` | `getClassNames()`

    - ### Methods inherited from class jline.SimpleCompletor

      `addCandidateString, clone, complete, getCandidates, getDelimiter, setCandidates, setCandidateStrings, setDelimiter`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ClassNameCompletor

          public ClassNameCompletor()
                             throws java.io.IOException

      Complete candidates using all the classes available in the java CLASSPATH.
      Throws:
        `java.io.IOException`

    - #### ClassNameCompletor

          public ClassNameCompletor(SimpleCompletor.SimpleCompletorFilter filter)
                             throws java.io.IOException

      Throws:
        `java.io.IOException`

  - ### Method Detail

    - #### getClassNames

          public static java.lang.String[] getClassNames()
                                                  throws java.io.IOException

      Throws:
        `java.io.IOException`